Skip to Content
REST APIEnvironment Plugin Grants API

Environment Plugin Grants API

List all environment plugin grants in the environment

PathMethodProtected
/v1/envs/{environment_id}/pluginsGETYes

Example Response JSON

{ "values": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "plugin": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "name": "string", "version": "string", "description": "string", "icon": "string", "homepage": "string", "spec": { "type": "OplogProcessor", "componentId": "616ccd92-d666-4180-8349-8d125b269fac", "componentRevision": 0 } }, "pluginAccount": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "email": "string" } } ] }

Create a new environment plugin grant

PathMethodProtected
/v1/envs/{environment_id}/pluginsPOSTYes

Example Request JSON

{ "pluginRegistrationId": "a9a2014c-42b6-44bd-ae1f-d0cdfce42b62" }

Example Response JSON

{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "pluginId": "91f8cbd0-11f2-4669-9910-90a5a0b7d84a" }

Get environment plugin grant by id

PathMethodProtected
/v1/environment-plugins/{environment_plugin_grant_id}GETYes

Query Parameters

NameTypeRequiredDescription
include_deletedbooleanNo-

Example Response JSON

{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563", "plugin": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "name": "string", "version": "string", "description": "string", "icon": "string", "homepage": "string", "spec": { "type": "OplogProcessor", "componentId": "616ccd92-d666-4180-8349-8d125b269fac", "componentRevision": 0 } }, "pluginAccount": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "email": "string" } }

Delete environment plugin grant

PathMethodProtected
/v1/environment-plugins/{environment_plugin_grant_id}DELETEYes

Environment Plugin Grants API Errors

Status CodeDescriptionBody
400Invalid request, returning with a list of issues detected in the request{"code":"string","errors":["string"]}
401Unauthorized request{"code":"string","error":"string"}
403Forbidden Request{"code":"string","error":"string"}
404Entity not found{"code":"string","error":"string"}
409{"code":"string","error":"string"}
422Limits of the plan exceeded{"code":"string","error":"string"}
500Internal server error{"code":"string","error":"string"}
Last updated on